#ifndef IMDB_MOVIE_HPP
#define IMDB_MOVIE_HPP

#include "entry.hpp"

#include <string>
#include <stdio.h> 

class CIMDBMovie : public Entry
{
public:
  // used for entering directories and still maintaining imdb information.
  std::string real_name;

  std::string m_strDirector;
  std::string m_strWritingCredits;
  std::string m_strGenre;
  std::string m_strTagLine;
  std::string m_strPlotOutline;
  std::string m_strPlot;
  std::string m_strPictureURL;
  std::string m_strTitle;
  std::string m_strRuntime;
  int m_iYear;
  float m_fRating;
  std::string m_strVotes;
  std::string m_strCast;
  int m_iTop250;

  std::string cover_path();
  bool Load(const std::string& strFileName);
  void Save(const std::string& strFileName);
  Entry to_entry();

  CIMDBMovie(Entry e);

private:
  bool LoadString(std::string& strTxt, FILE* fd);
  void SaveString(const std::string& strTxt, FILE* fd);
};

#endif
